#ifndef FILEUTILS_H
#define FILEUTILS_H  1


/*! \addtogroup FILEUTILS */
/* @{ */
/* @} */


/* ========================================================================== */
/* Function prototypes */

extern int  fu_check_homedir(const char*);
extern int  fu_check_file(const char*, struct_posix_stat*);
extern int  fu_open_file(const char*, int*, int, posix_mode_t);
extern void  fu_close_file(int*, FILE**);
extern int  fu_lock_file(int);
extern int  fu_unlink_file(const char*);
extern int  fu_assign_stream(int, FILE**, const char*);
extern int  fu_sync(int, FILE*);
extern int  fu_read_whole_file(int, char**, size_t*);
extern int  fu_write_to_filedesc(int, const char*, size_t);
extern int  fu_delete_tree(const char*);


#endif  /* FILEUTILS_H */

/* EOF */
